vty-5.25.1: A simple terminal UI library

Safe Haskell | Safe
Language | Haskell2010

Graphics.Vty.Input.Focus

Synopsis

- requestFocusEvents :: String
- disableFocusEvents :: String
- isFocusEvent :: String -> Bool
- classifyFocusEvent :: String -> KClass

# Documentation

requestFocusEvents :: String Source #

These sequences set xterm-based terminals to send focus event sequences.

disableFocusEvents :: String Source #

These sequences disable focus events.

isFocusEvent :: String -> Bool Source #

Does the specified string begin with a focus event?

classifyFocusEvent :: String -> KClass Source #

Attempt to classify an input string as a focus event.